plugins {
    id("com.knecon.fforesight.java-conventions")
    id("io.freefair.lombok") version "8.4"
}

description = "layoutparser-service-processor"

val jacksonVersion = "2.15.2"
val pdfBoxVersion = "3.0.0"

dependencies {
    implementation(project(":layoutparser-service-internal-api"))
    implementation(project(":viewer-doc-processor"))

    implementation("com.iqser.red.service:persistence-service-shared-api-v1:2.144.0") {
        exclude("org.springframework.boot", "spring-boot-starter-security")
        exclude("org.springframework.boot", "spring-boot-starter-validation")
    }
    implementation("com.knecon.fforesight:tenant-commons:0.21.0")
    implementation("com.iqser.red.commons:storage-commons:2.45.0")

    implementation("org.apache.pdfbox:pdfbox:${pdfBoxVersion}")
    implementation("org.apache.pdfbox:pdfbox-tools:${pdfBoxVersion}")
    implementation("com.fasterxml.jackson.module:jackson-module-afterburner:${jacksonVersion}")
    implementation("com.fasterxml.jackson.datatype:jackson-datatype-jsr310:${jacksonVersion}")
    implementation("org.springframework.boot:spring-boot-starter-web:3.1.3")
    implementation("org.jgrapht:jgrapht-core:1.5.2")
    implementation("org.tinspin:tinspin-indexes:2.1.3")
}
